# Create password history policy

Create a password history policy for all accounts (tenants).
To enable the password history policy, set the `enabled` parameter to `true` and specify the `passwordHistorySize` as a number between 1 and 10.

Endpoint: POST /resources/configurations/v1/password-history-policy
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Header parameters:

  - `frontegg-tenant-id` (string)
    The tenant ID identifier

## Request fields (application/json):

  - `enabled` (boolean, required)
    Detemine whether the history policy is enbaled.

  - `historySize` (number, required)
    Number of passwords per user to remember in the history.

## Response 201 fields (application/json):

  - `id` (string, required)

  - `enabled` (boolean, required)

  - `historySize` (number, required)

  - `createdAt` (string, required)

  - `updatedAt` (string, required)

## Response 409:

  - `409` (unknown)
    Policy already exists. Use the Update Password History Policy API.

